package com.cloudbility.openapi;

import com.cloudbility.openapi.response.ResourceResult;
import com.cloudbility.openapi.vo.AuthorizationInfo;
import com.cloudbility.openapi.vo.ResourceTypeVo;

import java.util.List;

public interface AuthorizationApi {

    AuthorizationInfo getAuthorization(long teamId, ResourceTypeVo type, long resourceId) throws OpenapiException;

    void updateAuthorization(long teamId, ResourceTypeVo type, long resourceId,
                             List<Long> roleIds,
                             List<Long> departmentIds,
                             List<Long> memberIds) throws OpenapiException;

    void grantAuthorization(long teamId, ResourceTypeVo type, long resourceId,
                             List<Long> roleIds,
                             List<Long> departmentIds,
                             List<Long> memberIds) throws OpenapiException;

    void revokeAuthorization(long teamId, ResourceTypeVo type, long resourceId,
                            List<Long> roleIds,
                            List<Long> departmentIds,
                            List<Long> memberIds) throws OpenapiException;


    ResourceResult getResourcesByUserAuthorization(long teamId, ResourceTypeVo type, long userId) throws OpenapiException;
}
