package com.cloudbility.openapi;

import com.cloudbility.openapi.response.DepartmentTreeVo;
import com.cloudbility.openapi.response.DepartmentVo;
import com.cloudbility.openapi.response.FlatDepartmentInfo;

import java.util.List;

public interface DepartmentApi {

    boolean isDepartmentEnabled(long teamId) throws OpenapiException;

    DepartmentTreeVo initDepartment(long teamId, String name, String description) throws OpenapiException;

    DepartmentTreeVo getDepartments(long teamId, boolean includeMembers) throws OpenapiException;

    DepartmentVo getDepartment(long departmentId) throws OpenapiException;

    FlatDepartmentInfo getFlatDepartments(long teamId, boolean includeMembers) throws OpenapiException;

    DepartmentVo addDepartment(long teamId, long parentDepartmentId, String name, String description) throws OpenapiException;

    void updateDepartment(long departmentId, String name, String description) throws OpenapiException;

    void deleteDepartment(long departmentId) throws OpenapiException;

    void moveToDepartment(long departmentId, List<Long> meberIds) throws OpenapiException;
}
