package com.cloudbility.openapi;

import com.cloudbility.openapi.request.GetHostLogRequest;
import com.cloudbility.openapi.request.GetSqlLogRequest;
import com.cloudbility.openapi.response.DbSqlLogResult;
import com.cloudbility.openapi.response.HostLogResult;
import com.cloudbility.openapi.response.LogResult;
import com.cloudbility.openapi.vo.AddLogRequest;
import com.cloudbility.openapi.vo.Order;

import java.util.Date;

public interface LogApi {

    /**
     * 默认按时间逆序排列
     * use  getHostLog instead
     *
     * @param teamId
     * @param page
     * @param size
     * @param request
     * @return
     * @throws OpenapiException
     * @deprecated
     */
    HostLogResult getLog(long teamId, int page, int size, GetHostLogRequest request) throws OpenapiException;

    HostLogResult getHostLog(long teamId, int page, int size, Order order, GetHostLogRequest request) throws OpenapiException;

    DbSqlLogResult getSqlLog(long teamId, int page, int size, Order order, GetSqlLogRequest request) throws OpenapiException;

    String addLog(AddLogRequest request) throws OpenapiException;

    LogResult getLog(long teamId,
                     String cluster,
                     int page,
                     int size) throws OpenapiException;

    /**
     * teamId和cluster是必填字段
     *
     * @param teamId
     * @param cluster
     * @param action
     * @param actorId
     * @param status
     * @param startTime
     * @param endTime
     * @param order
     * @param page
     * @param size
     * @return
     */
    LogResult getLog(long teamId,
                     String cluster,
                     String action,
                     Long actorId,
                     String status,
                     Date startTime,
                     Date endTime,
                     Order order,
                     int page,
                     int size) throws OpenapiException;


}
