package com.cloudbility.openapi;

import com.cloudbility.openapi.vo.MessageSendTemplate;

import java.io.File;
import java.util.List;
import java.util.Map;

/**
 * Created by lidonghao on 2020/8/13.
 */
public interface MessageApi {

    /**
     * 发送短信消息
     * @param teamId 必填
     * @param template 必填
     * @param values 可选，key为模板中的参数，value为值
     * @throws OpenapiException
     */
    void sendSmsMessage(Long teamId, MessageSendTemplate template, Map<String, Object> values) throws OpenapiException;

    /**
     * 发送邮件消息
     * @param teamId 必填
     * @param template 必填
     * @param values 可选，key为模板中的参数，value为值
     * @param subject 必填，邮件主题
     * @param attachment 可选，邮件附件
     * @throws OpenapiException
     */
    void sendMailMessage(Long teamId, MessageSendTemplate template, Map<String, Object> values, String subject, File attachment) throws OpenapiException;
}
