package com.cloudbility.openapi;

import com.cloudbility.openapi.vo.Scope;
import com.cloudbility.openapi.vo.monitor.*;

import java.util.Date;
import java.util.List;

public interface MonitorApi {

    SingletonResultList getHostAggregation(long hostId, MonitorMetric monitorMetric, List<Func> funcList, Date startTime, Date endTime) throws OpenapiException;

    BatchHostAggregationData getHostsAggregation(List<Long> hostIds, MonitorMetric monitorMetric, List<Func> funcList, Date startTime, Date endTime) throws OpenapiException;

    BatchHostAggregationData getHostsAggregationByCloud(long cloudId, MonitorMetric monitorMetric, List<Func> funcList, Date startTime, Date endTime) throws OpenapiException;

    BatchHostAggregationData getHostsAggregationByTag(long tagId, MonitorMetric monitorMetric, List<Func> funcList, Date startTime, Date endTime) throws OpenapiException;

    BatchHostAggregationData getHostsAggregationByVg(long vgId, MonitorMetric monitorMetric, List<Func> funcList, Date startTime, Date endTime) throws OpenapiException;

    BatchHostAggregationData getHostsAggregationByHg(long hgId, MonitorMetric monitorMetric, List<Func> funcList, Date startTime, Date endTime) throws OpenapiException;

    AggregationData getHostsAvgAggregation(List<Long> hostIds, MonitorMetric monitorMetric, List<Func> funcList, Date startTime, Date endTime) throws OpenapiException;

    AggregationData getHostsAvgAggregationByCloud(long cloudId, MonitorMetric monitorMetric, List<Func> funcList, Date startTime, Date endTime) throws OpenapiException;

    AggregationData getHostsAvgAggregationByTag(long tagId, MonitorMetric monitorMetric, List<Func> funcList, Date startTime, Date endTime) throws OpenapiException;

    AggregationData getHostsAvgAggregationByVg(long vgId, MonitorMetric monitorMetric, List<Func> funcList, Date startTime, Date endTime) throws OpenapiException;

    AggregationData getHostsAvgAggregationByHg(long hgId, MonitorMetric monitorMetric, List<Func> funcList, Date startTime, Date endTime) throws OpenapiException;

    MetricSingletonMap getHostLastMetricData(long hostId, MonitorMetric... monitorMetric) throws OpenapiException;

    MetricSingletonMap getZStackHostLastMetricData(Scope scope, long hostId, MonitorMetric... monitorMetric) throws OpenapiException;

}
