package com.cloudbility.openapi;

import com.cloudbility.openapi.response.NoticeInfo;
import com.cloudbility.openapi.response.NoticeListResult;
import com.cloudbility.openapi.response.NoticeTagResult;
import com.cloudbility.openapi.vo.*;

import java.io.File;
import java.util.Date;

public interface NoticeApi {

    NoticeInfo getNoticeInfo() throws OpenapiException;

    void updateNoticeConfig(boolean enabled) throws OpenapiException;

    NoticeTagResult getTags() throws OpenapiException;

    NoticeTagVo createTag(String name, String color) throws OpenapiException;

    void deleteTag(String name) throws OpenapiException;

    void deleteTag(Long tagId) throws OpenapiException;

    NoticeVo createNotice(String title, String content, Long tagId, String sourceUrl) throws OpenapiException;

    void updateNotice(long id, String title, String content, Long tagId, String sourceUrl) throws OpenapiException;

    void publishNotice(long id, Date publishTime) throws OpenapiException;

    void unpublishNotice(long id) throws OpenapiException;

    NoticeAttachmentVo updateNoticeCoverImg(long id, File imageFile) throws OpenapiException;

    NoticeAttachmentVo addNoticeAttachment(long id, File attachment) throws OpenapiException;

    NoticeAttachmentVo addNoticeAttachment(long id, String fileName, File attachment) throws OpenapiException;

    void deleteAttachment(Long attachmentId) throws OpenapiException;

    NoticeDetailVo getNoticeDetail(long id) throws OpenapiException;

    NoticeListResult getNotices(Long tagId,
                                PublishStatus status,
                                String title,
                                String sortField,
                                SortOrder sortOrder,
                                int page,
                                int size,
                                boolean includeAttachments) throws OpenapiException;


}