package com.cloudbility.openapi;

import com.cloudbility.openapi.client.*;
import org.apache.http.client.HttpClient;

public class OpenapiClient extends AbstractOpenapiClient implements OpenapiOperation {

    public OpenapiClient(OpenapiConfig openapiConfig, HttpClient httpClient) {
        super(openapiConfig, httpClient);
    }

    public OpenapiClient(OpenapiConfig openapiConfig) {
        super(openapiConfig);
    }

    @Override
    public UserApi userApi() {
        return new DefaultUserApi(this);
    }

    @Override
    public TeamApi teamApi() {
        return new DefaultTeamApi(this);
    }

    @Override
    public CloudApi cloudApi() {
        return new DefaultCloudApi(this);
    }

    @Override
    public HostApi hostApi() {
        return new DefaultHostApi(this);
    }

    @Override
    public RoleApi roleApi() {
        return new DefaultRoleApi(this);
    }

    @Override
    public TagApi tagApi() {
        return new DefaultTagApi(this);
    }

    @Override
    public VgApi vgApi() {
        return new DefaultVgApi(this);
    }

    @Override
    public LogApi logApi() {
        return new DefaultLogApi(this);
    }

    @Override
    public CredentialApi credentialApi() {
        return new DefaultCredentialApi(this);
    }

    @Override
    public JobApi jobApi() {
        return new DefaultJobApi(this);
    }

    @Override
    public ScriptApi scriptApi() {
        return new DefaultScriptApi(this);
    }

    @Override
    public MonitorApi monitorApi() {
        return new DefaultMonitorApi(this);
    }

    @Override
    public NoticeApi noticeApi() {
        return new DefaultNoticeApi(this);
    }

    @Override
    public DbApi dbApi() {
        return new DefaultDbApi(this);
    }

    @Override
    public DepartmentApi departmentApi() {
        return new DefaultDepartmentApi(this);
    }

    @Override
    public SystemApi systemApi() {
        return new DefaultSystemApi(this);
    }

    @Override
    public OtherApi otherApi() {
        return new DefaultOtherApi(this);
    }

    @Override
    public WorkflowApi workflowApi() {
        return new DefaultWorkflowApi(this);
    }

    @Override
    public OpsPolicyApi opsPolicyApi() {
        return new DefaultOpsPolicyApi(this);
    }

    @Override
    public KeyPairApi keypairApi() {
        return new DefaultKeyPairApi(this);
    }

    @Override
    public QuotaApi quotaApi() {
        return new DefaultQuotaApi(this);
    }

    @Override
    public AuthorizationApi authorizationApi() {
        return new DefaultAuthorizationApi(this);
    }

    public CasServerApi casServerApi(){
        return new DefaultCasServerApi(this);
    }

    @Override
    public OrderApi orderApi() {
        return new DefaultOrderApi(this);
    }

    @Override
    public MessageApi messageApi() {
        return new DefaultMessageApi(this);
    }

    public DefaultSessionApi sessionApi(){
        return new DefaultSessionApi(this);
    }
}
