package com.cloudbility.openapi;

import com.cloudbility.openapi.response.OAuthUrlResult;
import com.cloudbility.openapi.response.SessionOpenResult;
import com.cloudbility.openapi.vo.AccessType;
import com.cloudbility.openapi.vo.DesktopType;

public interface SessionApi {
    OAuthUrlResult getOAuthSessionUrl(long userId, boolean oneOff, long hostId, DesktopType desktopType,
                                      Integer port, AccessType accessType, int expireSeconds, String account,
                                      String password, String privateKey, String privateKeyPass) throws OpenapiException;

    OAuthUrlResult getOAuthSessionUrl(long userId, boolean oneOff, long hostId, DesktopType desktopType,
                                      Integer port, AccessType accessType, int expireSeconds, String account,
                                      String password, String privateKey, String privateKeyPass, String screenResolution) throws OpenapiException;

    SessionOpenResult openSessionGetWSUrl(long userId, long hostId, DesktopType desktopType,
                                          Integer port, AccessType accessType, String account,
                                          String password, String privateKey, String privateKeyPass) throws OpenapiException;

    boolean closeSession(Long sessionId, String reason) throws OpenapiException;

    int countSessionReady() throws OpenapiException;

    int countSessionReadyByTeam(long teamId) throws OpenapiException;

}
