package com.cloudbility.openapi.client;

import com.cloudbility.openapi.OpenapiException;
import com.cloudbility.openapi.OpenapiClient;
import com.cloudbility.openapi.common.StringUtil;
import com.cloudbility.openapi.requestor.OpenapiRequestor;

public class AbstractApi {

    protected OpenapiClient client;

    public AbstractApi(OpenapiClient client) {
        this.client = client;
    }

    protected <R> R execute(OpenapiRequestor request, Class<R> responseClazz) throws OpenapiException {
        return client.execute(request, responseClazz);
    }

    protected void execute(OpenapiRequestor request) throws OpenapiException {
        client.execute(request, Void.class);
    }

    public static void checkNotAllNull(String msg, Object... objects) {
        for (Object object : objects) {
            if (object != null) {
                return;
            }
        }
        throw new IllegalArgumentException(msg);
    }

    public static void checkOnlyOneNotNull(String msg, Object... objects) {
        int count = 0;
        for (Object object : objects) {
            if (object instanceof String) {
                if (StringUtil.notEmpty((String) object)) {
                    count++;
                }
            } else if (object != null) {
                count++;
            }
        }
        if (count > 1) {
            throw new IllegalArgumentException(msg);
        }
    }


}
