package com.cloudbility.openapi.demo;

import com.cloudbility.openapi.OpenapiClient;
import com.cloudbility.openapi.OpenapiException;
import com.cloudbility.openapi.TokenProvider;
import com.cloudbility.openapi.client.OpenapiConfig;
import com.cloudbility.openapi.response.OAuthUrlResult;
import com.cloudbility.openapi.vo.AccessType;
import com.cloudbility.openapi.vo.DesktopType;

public class GetHostSessionUrlDemo {
    public static final String accessKeyId = "eyHp1bV1FmrkQGna";
    public static final String accessKeySecret = "E2UXyV5lelF0MA9vaSRMRIHrjxm843";
    public static final String endpoint = "http://188.188.77.136/api/openapi";

    public static void main(String[] args) {
        OpenapiClient openapiClient = createOpenapiClient(accessKeyId, accessKeySecret, endpoint);
//        或者使用
//        String token = "Dwp0bCxLTZqx3F1pZNPwSA";
//        openapiClient = createOpenapiClient(token,endpoint);
        try {
            Long userId = 1L;
            Long hostId = 36L;
            String account = "root";
            String password = "root123";
            DesktopType desktopType = DesktopType.SSH;
            AccessType accessType = AccessType.PUBLIC_IP;
            OAuthUrlResult result = openapiClient.sessionApi().getOAuthSessionUrl(userId, false,
                    hostId,
                    desktopType,
                    22,
                    accessType,
                    300,
                    account, password,
                    null, null, null);
            System.out.println(result.getUrl());
        } catch (OpenapiException e) {
            e.printStackTrace();
        }
    }

    public static OpenapiClient createOpenapiClient(String token, String endpoint) {
        OpenapiConfig config = new OpenapiConfig();
        config.setEndpoint(endpoint);
        config.setTokenProvider(new TokenProvider() {
            @Override
            public String getToken() {
                return token;
            }
        });
        return new OpenapiClient(config);
    }


    public static OpenapiClient createOpenapiClient(String accessKeyId, String accessKeySecret, String endpoint) {
        OpenapiConfig config = new OpenapiConfig();
        config.setAccessKeyId(accessKeyId);
        config.setAccessKeySecret(accessKeySecret);
        config.setEndpoint(endpoint);
        return new OpenapiClient(config);
    }

}
