package com.cloudbility.openapi.demo.batch1;

import com.cloudbility.common.util.CSVUtil;
import com.cloudbility.openapi.OpenapiClient;
import com.cloudbility.openapi.client.OpenapiConfig;

import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

/**
 *
 */
public class BatchImporterMain {

    public static final String accessKeyId = "vCavUTjLTBw2hj6b";
    public static final String accessKeySecret = "2ZGCz0H7eNQ3qQQsluiwhcTnsfPFZ7";
    public static final String endpoint = "http://127.0.0.1:8080/api/openapi";
    public static final String cvsFile = "D:\\batchImport.csv";


    public static OpenapiClient createOpenapiClient(String accessKeyId, String accessKeySecret, String endpoint) {
        OpenapiConfig config = new OpenapiConfig();
        config.setAccessKeyId(accessKeyId);
        config.setAccessKeySecret(accessKeySecret);
        config.setEndpoint(endpoint);
        return new OpenapiClient(config);
    }


    public static void main(String[] args) throws FileNotFoundException {
        String accessKeyId = BatchImporterMain.accessKeyId ;
        String accessKeySecret = BatchImporterMain.accessKeySecret;
        String endpoint = BatchImporterMain.endpoint;
        String cvsFile = BatchImporterMain.cvsFile;
        if (args.length >= 3) {
            accessKeyId = args[0];
            accessKeySecret = args[1];
            endpoint = args[2];
        }
        if (args.length == 4) {
            cvsFile = args[3];
        }
        OpenapiClient openapiClient = createOpenapiClient(accessKeyId, accessKeySecret, endpoint);
        BatchImporter importer = new BatchImporter(openapiClient);
        try {
            List<String[]> rows = CSVUtil.readCsvFileWithCommaField(new FileInputStream(new File(cvsFile)), "GBK");
            List<HostVgVo> hosts = new ArrayList<>();
            for (int i = 1; i < rows.size(); i++) {
                String[] row = rows.get(i);
                HostVgVo hv = new HostVgVo();
                hv.setInstanceName(row[0]);
                hv.setIp(row[1]);
                hv.setPlatform(row[2]);
                hv.setVgL1(row[3]);
                hv.setVgL2(row[4]);
                hv.setVgL3(row[5]);
                hv.setNicknames(Arrays.asList(row[6].split("，|,")));
                hosts.add(hv);
            }
//            System.out.println(JsonUtil.toJson(hosts));
            importer.importHostAndUser(1, 3, hosts);
        } catch (IOException e) {
            e.printStackTrace();
        } catch (Exception e) {
            e.printStackTrace();
        }

    }
}
