package com.cloudbility.openapi.request;

import com.cloudbility.openapi.vo.AccessType;
import com.cloudbility.openapi.vo.DesktopType;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel
public class OpenSessionOAuthRequest extends DesktopSessionRequest {
    private boolean oneoff;

    /**
     * 超时时间，范围是2分钟~24小时
     */
    @ApiModelProperty(required = true, value = "超时时间,秒,[2min,24h]，默认300秒")
    private long expireSeconds = 5 * 60;

    public long getExpireSeconds() {
        return expireSeconds;
    }

    public void setExpireSeconds(long expireSeconds) {
        this.expireSeconds = expireSeconds;
    }

    public boolean isOneoff() {
        return oneoff;
    }

    public void setOneoff(boolean oneoff) {
        this.oneoff = oneoff;
    }
}
