package com.cloudbility.openapi.response;

import com.cloudbility.openapi.vo.DbType;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel
public class DbVo  {
    @ApiModelProperty("数据库ID")
    private Long id;
    @ApiModelProperty("所在分组ID")
    private Long dbGroupId;
    @ApiModelProperty("数据库名称")
    private String name;
    @ApiModelProperty("数据库类型")
    private DbType dbType;
    @ApiModelProperty("所属团队")
    private Long teamId;
    @ApiModelProperty("跳板机类型（中转或Proxy）")
    private JumpServerType jumpServerType;
    @ApiModelProperty("跳板机端口")
    private Integer jumpServerPort;
    @ApiModelProperty("跳板机ID（中转或Proxy）")
    private Long jumpServerId;
    @ApiModelProperty("创建者ID")
    private Long creatorId;
    @ApiModelProperty("DB宿主机ID，RDS时为null")
    private Long hostId;
    @ApiModelProperty("DB连接IP")
    private String ip;
    @ApiModelProperty("DB连接IP是否内网IP")
    private Boolean isInner;
    @ApiModelProperty("DB连接端口")
    private Integer port;
    @ApiModelProperty("DB位置：主机、RDS")
    private DbLocation location;
    @ApiModelProperty("DB集群连接串")
    private String cluseterUri;
    @ApiModelProperty("DB是否集群模式")
    private Boolean isCluster;


    @ApiModelProperty("DB用户名")
    private String dbUser;
    @ApiModelProperty("DB密码")
    private String dbPassword;
    @ApiModelProperty("DB实例")
    private String dbInstance;
    @ApiModelProperty("DB描述")
    private String description;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getDbGroupId() {
        return dbGroupId;
    }

    public void setDbGroupId(Long dbGroupId) {
        this.dbGroupId = dbGroupId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public DbType getDbType() {
        return dbType;
    }

    public void setDbType(DbType dbType) {
        this.dbType = dbType;
    }

    public Long getTeamId() {
        return teamId;
    }

    public void setTeamId(Long teamId) {
        this.teamId = teamId;
    }

    public Integer getJumpServerPort() {
        return jumpServerPort;
    }

    public void setJumpServerPort(Integer jumpServerPort) {
        this.jumpServerPort = jumpServerPort;
    }

    public Long getJumpServerId() {
        return jumpServerId;
    }

    public void setJumpServerId(Long jumpServerId) {
        this.jumpServerId = jumpServerId;
    }

    public Long getCreatorId() {
        return creatorId;
    }

    public void setCreatorId(Long creatorId) {
        this.creatorId = creatorId;
    }

    public Long getHostId() {
        return hostId;
    }

    public void setHostId(Long hostId) {
        this.hostId = hostId;
    }

    public String getIp() {
        return ip;
    }

    public void setIp(String ip) {
        this.ip = ip;
    }

    public Boolean getInner() {
        return isInner;
    }

    public void setInner(Boolean inner) {
        isInner = inner;
    }

    public Integer getPort() {
        return port;
    }

    public void setPort(Integer port) {
        this.port = port;
    }

    public DbLocation getLocation() {
        return location;
    }

    public void setLocation(DbLocation location) {
        this.location = location;
    }

    public JumpServerType getJumpServerType() {
        return jumpServerType;
    }

    public void setJumpServerType(JumpServerType jumpServerType) {
        this.jumpServerType = jumpServerType;
    }

    public String getDbUser() {
        return dbUser;
    }

    public void setDbUser(String dbUser) {
        this.dbUser = dbUser;
    }

    public String getDbPassword() {
        return dbPassword;
    }

    public void setDbPassword(String dbPassword) {
        this.dbPassword = dbPassword;
    }

    public String getDbInstance() {
        return dbInstance;
    }

    public void setDbInstance(String dbInstance) {
        this.dbInstance = dbInstance;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getCluseterUri() {
        return cluseterUri;
    }

    public void setCluseterUri(String cluseterUri) {
        this.cluseterUri = cluseterUri;
    }

    public Boolean getCluster() {
        return isCluster;
    }

    public void setCluster(Boolean cluster) {
        isCluster = cluster;
    }
}
