package com.cloudbility.openapi.response;

import com.cloudbility.openapi.vo.TeamType;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.*;

@ApiModel
public class GetTeamResult extends OpenapiResponse {

    @ApiModelProperty("团队ID")
    private Long teamId;
    @ApiModelProperty("团队标识")
    private String code;
    @ApiModelProperty("团队名称")
    private String name;
    @ApiModelProperty("团队创建者ID")
    private Long creator;
    @ApiModelProperty("团队创建时间")
    private Date createTime;
    @ApiModelProperty("团队类型")
    private TeamType teamType;
    @ApiModelProperty("专业版到期时间")
    private Date serveEndTime;
    @ApiModelProperty("配额是否超限")
    private boolean quotaExceed;
    @ApiModelProperty("团队成员，includeMembers=true时返回")
    private List<Long> members = new ArrayList<>();
    @ApiModelProperty("团队成员用户ID与用户账户的映射。includeMembers=true时返回")
    private Map<Long, String> memberAccounts = new HashMap<>();
    @ApiModelProperty("是否开启了组织架构视图,v4.17新增")
    private boolean departmentEnabled;

    public Long getTeamId() {
        return teamId;
    }

    public void setTeamId(Long teamId) {
        this.teamId = teamId;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Long getCreator() {
        return creator;
    }

    public void setCreator(Long creator) {
        this.creator = creator;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public TeamType getTeamType() {
        return teamType;
    }

    public void setTeamType(TeamType teamType) {
        this.teamType = teamType;
    }

    public Date getServeEndTime() {
        return serveEndTime;
    }

    public void setServeEndTime(Date serveEndTime) {
        this.serveEndTime = serveEndTime;
    }

    public boolean isQuotaExceed() {
        return quotaExceed;
    }

    public void setQuotaExceed(boolean quotaExceed) {
        this.quotaExceed = quotaExceed;
    }

    public List<Long> getMembers() {
        return members;
    }

    public void setMembers(List<Long> members) {
        this.members = members;
    }

    public Map<Long, String> getMemberAccounts() {
        return memberAccounts;
    }

    public void setMemberAccounts(Map<Long, String> memberAccounts) {
        this.memberAccounts = memberAccounts;
    }

    public boolean isDepartmentEnabled() {
        return departmentEnabled;
    }

    public void setDepartmentEnabled(boolean departmentEnabled) {
        this.departmentEnabled = departmentEnabled;
    }
}

