package com.cloudbility.openapi.response;

import java.util.HashMap;
import java.util.Map;

public class SmsResultV2 extends OpenapiResponse{
    private Map<String, SmsResult> resultMap = new HashMap<>();

    public Map<String, SmsResult> getResultMap() {
        return resultMap;
    }

    public void setResultMap(Map<String, SmsResult> resultMap) {
        this.resultMap = resultMap;
    }

    /**
     * 获取到第一个失败的SmsResult（如果存在），否则获取到第一个成功的SmsResult
     * @param resultMap
     * @return
     */
    public static SmsResult getAppropriate(Map<String, SmsResult> resultMap) {
        SmsResult result = null;
        for (SmsResult r : resultMap.values()) {
            if (result == null) {
                result = r;
            }
            if (!r.isSuccess()) {
                result = r;
                break;
            }
        }
        return result;
    }
}
