package com.cloudbility.openapi.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;
import java.util.Map;

@ApiModel
public class AddLogRequest {
    @ApiModelProperty("日志分类，以EXT_开头")
    private String cluster;
    @ApiModelProperty("所属团队ID")
    private Long teamId;
    @ApiModelProperty("操作人")
    private Long actorId;
    @ApiModelProperty("操作名称")
    private String action;
    @ApiModelProperty("日志状态")
    private String status;
    @ApiModelProperty("错误码")
    private String errorCode;
    @ApiModelProperty("错误信息")
    private String errorMsg;
    @ApiModelProperty("创建时间，UTC时间，格式\"yyyy-MM-dd'T'HH:mm:ss'Z'\"")
    private String createTime;
    @ApiModelProperty("操作人远程IP")
    private String remoteIp;
    @ApiModelProperty("事件源")
    private String actionSource;
    @ApiModelProperty("额外信息")
    private Map<String, Object> extraInfo;

    public String getCluster() {
        return cluster;
    }

    public void setCluster(String cluster) {
        this.cluster = cluster;
    }

    public Long getTeamId() {
        return teamId;
    }

    public void setTeamId(Long teamId) {
        this.teamId = teamId;
    }

    public Long getActorId() {
        return actorId;
    }

    public void setActorId(Long actorId) {
        this.actorId = actorId;
    }

    public String getAction() {
        return action;
    }

    public void setAction(String action) {
        this.action = action;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getErrorCode() {
        return errorCode;
    }

    public void setErrorCode(String errorCode) {
        this.errorCode = errorCode;
    }

    public String getErrorMsg() {
        return errorMsg;
    }

    public void setErrorMsg(String errorMsg) {
        this.errorMsg = errorMsg;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getRemoteIp() {
        return remoteIp;
    }

    public void setRemoteIp(String remoteIp) {
        this.remoteIp = remoteIp;
    }

    public String getActionSource() {
        return actionSource;
    }

    public void setActionSource(String actionSource) {
        this.actionSource = actionSource;
    }

    public Map<String, Object> getExtraInfo() {
        return extraInfo;
    }

    public void setExtraInfo(Map<String, Object> extraInfo) {
        this.extraInfo = extraInfo;
    }
}
