package com.cloudbility.openapi.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.ArrayList;
import java.util.List;

@ApiModel
public class CreateCloudVo {
    @ApiModelProperty(required = true, value = "所属团队ID")
    private long teamId;
    @ApiModelProperty(required = true, value = "云账户名称，团队内唯一")
    private String name;
    @ApiModelProperty(value = "创建者，未设置时使用团队创建者")
    private Long creatorId;

    @ApiModelProperty(required = true, value = "4.8新增属性。给云账户授权的角色，用逗号连接多个角色id，如果是系统角色，可以用RoleCode。例如：roles='12,TEAM_ADMINER'表示id=12的角色和团队管理员角色。为了兼容旧API，如果不设置时，默认值是TEAM_MEMBER，而不是空值，即云账户对团队所有用户可见。roles不能设置为TEAM_CREATOR")
    private String roles;

    @ApiModelProperty(required = false, value = "内网连接方式，4.18新增,SAAS必须设置为proxy")
    private CloudIntranetAccessType intranetAccessType;

    @ApiModelProperty(required = false, value = "网段划分方式，4.18新增，默认是auto(自动按C网段划分)。manual:按设定的CIDR划分")
    private CloudCidrRule cidrRule = CloudCidrRule.auto;

    @ApiModelProperty(required = false, value = "手工（cidrRule=manual）指定cidr网段，4.18新增。用逗号连接")
    private String cidrs = null;
    @ApiModelProperty(required = false, value = "指定团队内的一个运维子策略ID，新建的云账户的运维策略将引用这个策略中的条目设置默认值，4.18新增")
    private Long referencedPolicyId = null;

    public long getTeamId() {
        return teamId;
    }

    public void setTeamId(long teamId) {
        this.teamId = teamId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Long getCreatorId() {
        return creatorId;
    }

    public void setCreatorId(Long creatorId) {
        this.creatorId = creatorId;
    }

    public String getRoles() {
        return roles;
    }

    public void setRoles(String roles) {
        this.roles = roles;
    }

    public CloudIntranetAccessType getIntranetAccessType() {
        return intranetAccessType;
    }

    public void setIntranetAccessType(CloudIntranetAccessType intranetAccessType) {
        this.intranetAccessType = intranetAccessType;
    }

    public CloudCidrRule getCidrRule() {
        return cidrRule;
    }

    public void setCidrRule(CloudCidrRule cidrRule) {
        this.cidrRule = cidrRule;
    }

    public String getCidrs() {
        return cidrs;
    }

    public void setCidrs(String cidrs) {
        this.cidrs = cidrs;
    }

    public Long getReferencedPolicyId() {
        return referencedPolicyId;
    }

    public void setReferencedPolicyId(Long referencedPolicyId) {
        this.referencedPolicyId = referencedPolicyId;
    }
}
