package com.cloudbility.openapi.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.ArrayList;
import java.util.List;

@ApiModel
public class CreateCredentialRequest {

    @ApiModelProperty(value = "团队ID", required = true)
    private Long teamId;
    @ApiModelProperty(value = "凭证名称,团队唯一。", required = true)
    private String name;
    @ApiModelProperty(value = "登录账号，VCN协议不需要，但是RDP和SSH需要设置")
    private String account;
    @ApiModelProperty(value = "授权角色，默认是团队拥有者。用逗号连接多个角色id，如果是系统角色，可以用RoleCode。")
    private String roles;
    @ApiModelProperty(value = "协议类型:RDP,SSH,VNC", required = true)
    private DesktopType desktopType;
    @ApiModelProperty(value = "凭证类型：密码和密钥", required = true)
    private AuthType authType;
    @ApiModelProperty(value = "登录密码，可选。当authType=PASSWORD可以设置。与参数key不要同时设置")
    private String password;
    @ApiModelProperty(value = "登录密钥，可选。当authType=KEY_FILE可以设置。与参数password不要同时设置")
    private String key;
    @ApiModelProperty(value = "登录密钥对ID，可选。当authType=KEY_FILE可以设置。与参数password和key不要同时设置")
    private Long sshKeyId;

    @ApiModelProperty(value = "创建者，默认是团队拥有者")
    private Long creator;
    @ApiModelProperty(value = "访问端口，未设置时，使用协议默认端口，即SSH：22，RDP：3389，等。")
    private Integer port = null;

    @ApiModelProperty(value = "切换用户名，可选。v4.13新增属性")
    private String suUser;
    @ApiModelProperty(value = "切换用户使用的命令，可选。v4.13新增属性")
    private String suCommand;
    @ApiModelProperty(value = "切换用户的密码，可选。v4.13新增属性")
    private String suPassword;

    @ApiModelProperty(value = "主机ID", required = true)
    private long hostId;

    @Deprecated
    @ApiModelProperty(value = "加入主机列表,v6.3后废弃")
    private List<CredentialHostVo> hosts = new ArrayList<>();

    public long getHostId() {
        return hostId;
    }

    public void setHostId(long hostId) {
        this.hostId = hostId;
    }

    public Long getTeamId() {
        return teamId;
    }

    public void setTeamId(Long teamId) {
        this.teamId = teamId;
    }


    public DesktopType getDesktopType() {
        return desktopType;
    }

    public void setDesktopType(DesktopType desktopType) {
        this.desktopType = desktopType;
    }

    public AuthType getAuthType() {
        return authType;
    }

    public void setAuthType(AuthType authType) {
        this.authType = authType;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public Long getCreator() {
        return creator;
    }

    public void setCreator(Long creator) {
        this.creator = creator;
    }

    public Integer getPort() {
        return port;
    }

    public void setPort(Integer port) {
        this.port = port;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getAccount() {
        return account;
    }

    public void setAccount(String account) {
        this.account = account;
    }

    public String getRoles() {
        return roles;
    }

    public void setRoles(String roles) {
        this.roles = roles;
    }

    public List<CredentialHostVo> getHosts() {
        return hosts;
    }

    public void setHosts(List<CredentialHostVo> hosts) {
        this.hosts = hosts;
    }

    public String getSuUser() {
        return suUser;
    }

    public void setSuUser(String suUser) {
        this.suUser = suUser;
    }

    public String getSuCommand() {
        return suCommand;
    }

    public void setSuCommand(String suCommand) {
        this.suCommand = suCommand;
    }

    public String getSuPassword() {
        return suPassword;
    }

    public void setSuPassword(String suPassword) {
        this.suPassword = suPassword;
    }

    public Long getSshKeyId() {
        return sshKeyId;
    }

    public void setSshKeyId(Long sshKeyId) {
        this.sshKeyId = sshKeyId;
    }
}
