package com.cloudbility.openapi.vo;

import com.cloudbility.openapi.response.OpenapiResponse;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

@ApiModel
public class HostVo extends OpenapiResponse {
    @ApiModelProperty(value = "主机ID")
    private Long hostId;
    @ApiModelProperty(value = "主机实例ID，在云账户中唯一")
    private String instanceId;
    @ApiModelProperty(value = "主机名称")
    private String instanceName;
    @ApiModelProperty(value = "主机hostName")
    private String hostName;
    @ApiModelProperty(value = "主机平台")
    private String platform;
    @ApiModelProperty(value = "公网IP")
    private String publicIp;
    @ApiModelProperty(value = "内网IP")
    private String innerIp;
    @ApiModelProperty(value = "主机状态")
    private String status;
    @ApiModelProperty(value = "主机操作系统")
    private String operatingSystem;
    @ApiModelProperty(value = "所属团队")
    private Long teamId;
    @ApiModelProperty(value = "CPU核数")
    private Integer processorCores;
    @ApiModelProperty(value = "内存（MB）")
    private Integer memory;
    @ApiModelProperty(value = "导入时间")
    private Date importTime;
    @ApiModelProperty(value = "主机物理分组ID")
    private Long groupId;
    @ApiModelProperty(value = "云账户ID")
    private Long cloudId;
    @ApiModelProperty("云账户来源，门户：Portal|管理控制台：Console")
    private Scope scope = Scope.Portal;


    public Long getHostId() {
        return hostId;
    }

    public void setHostId(Long hostId) {
        this.hostId = hostId;
    }

    public String getInstanceId() {
        return instanceId;
    }

    public void setInstanceId(String instanceId) {
        this.instanceId = instanceId;
    }

    public String getInstanceName() {
        return instanceName;
    }

    public void setInstanceName(String instanceName) {
        this.instanceName = instanceName;
    }

    public String getHostName() {
        return hostName;
    }

    public void setHostName(String hostName) {
        this.hostName = hostName;
    }

    public String getPlatform() {
        return platform;
    }

    public void setPlatform(String platform) {
        this.platform = platform;
    }

    public String getPublicIp() {
        return publicIp;
    }

    public void setPublicIp(String publicIp) {
        this.publicIp = publicIp;
    }

    public String getInnerIp() {
        return innerIp;
    }

    public void setInnerIp(String innerIp) {
        this.innerIp = innerIp;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getOperatingSystem() {
        return operatingSystem;
    }

    public void setOperatingSystem(String operatingSystem) {
        this.operatingSystem = operatingSystem;
    }

    public Long getTeamId() {
        return teamId;
    }

    public void setTeamId(Long teamId) {
        this.teamId = teamId;
    }

    public Integer getProcessorCores() {
        return processorCores;
    }

    public void setProcessorCores(Integer processorCores) {
        this.processorCores = processorCores;
    }

    public Integer getMemory() {
        return memory;
    }

    public void setMemory(Integer memory) {
        this.memory = memory;
    }

    public Date getImportTime() {
        return importTime;
    }

    public void setImportTime(Date importTime) {
        this.importTime = importTime;
    }

    public Long getGroupId() {
        return groupId;
    }

    public void setGroupId(Long groupId) {
        this.groupId = groupId;
    }

    public Long getCloudId() {
        return cloudId;
    }

    public void setCloudId(Long cloudId) {
        this.cloudId = cloudId;
    }

    public Scope getScope() {
        return scope;
    }

    public void setScope(Scope scope) {
        this.scope = scope;
    }
}
