package com.cloudbility.openapi.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

@ApiModel
public class LdapSyncConfigVo {

    @ApiModelProperty("Base DN")
    private String baseDn;

    @ApiModelProperty("是否开启定时同步")
    private boolean enabled;

    @ApiModelProperty("首次同步时间")
    private Date firstSyncTime;

    @ApiModelProperty("执行间隔时间")
    private int interval;

    @ApiModelProperty("间隔时间的单位")
    private IntervalUnit intervalUnit;

    @ApiModelProperty("AD域用户信息变化时，是否同步到行云管家")
    private boolean syncUserWhenChanged;

    @ApiModelProperty("AD域用户删除时，行云管家处理用户的策略：delete，block")
    private LdapUserDeletedStrategy strategyWhenDeleted;

    @ApiModelProperty("AD域新增用户时，是否创建相应的行云管家用户")
    private boolean addUserWhenCreated;

    @ApiModelProperty("新创建的行云管家用户，是否加入到指定团队")
    private boolean joinTeam;

    @ApiModelProperty("限定特定OU下的用户新增时，同步创建行云管家用户，当addUserWhenCreated=true时生效")
    private List<LdapDnTeamVo> dnTeamList = new ArrayList<>();

    public String getBaseDn() {
        return baseDn;
    }

    public void setBaseDn(String baseDn) {
        this.baseDn = baseDn;
    }

    public boolean isEnabled() {
        return enabled;
    }

    public void setEnabled(boolean enabled) {
        this.enabled = enabled;
    }


    public Date getFirstSyncTime() {
        return firstSyncTime;
    }

    public void setFirstSyncTime(Date firstSyncTime) {
        this.firstSyncTime = firstSyncTime;
    }

    public int getInterval() {
        return interval;
    }

    public void setInterval(int interval) {
        this.interval = interval;
    }

    public IntervalUnit getIntervalUnit() {
        return intervalUnit;
    }

    public void setIntervalUnit(IntervalUnit intervalUnit) {
        this.intervalUnit = intervalUnit;
    }

    public boolean isSyncUserWhenChanged() {
        return syncUserWhenChanged;
    }

    public void setSyncUserWhenChanged(boolean syncUserWhenChanged) {
        this.syncUserWhenChanged = syncUserWhenChanged;
    }

    public LdapUserDeletedStrategy getStrategyWhenDeleted() {
        return strategyWhenDeleted;
    }

    public void setStrategyWhenDeleted(LdapUserDeletedStrategy strategyWhenDeleted) {
        this.strategyWhenDeleted = strategyWhenDeleted;
    }

    public boolean isAddUserWhenCreated() {
        return addUserWhenCreated;
    }

    public void setAddUserWhenCreated(boolean addUserWhenCreated) {
        this.addUserWhenCreated = addUserWhenCreated;
    }

    public List<LdapDnTeamVo> getDnTeamList() {
        return dnTeamList;
    }

    public void setDnTeamList(List<LdapDnTeamVo> dnTeamList) {
        this.dnTeamList = dnTeamList;
    }

    public boolean isJoinTeam() {
        return joinTeam;
    }

    public void setJoinTeam(boolean joinTeam) {
        this.joinTeam = joinTeam;
    }
}
