package com.cloudbility.openapi.vo;

import com.cloudbility.openapi.response.OpenapiResponse;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel
public class RoleVo extends OpenapiResponse {
    @ApiModelProperty(value = "角色ID")
    private Long id;
    @ApiModelProperty(value = "角色标识，系统角色(私有部署版包括通过roles_template.json配置）才有标识，例如TEAM_CREATOR,TEAM_ADMINER,TEAM_MEMBER分别表示团队拥有者、管理员、所有成员。")
    private String code;
    @ApiModelProperty(value = "角色名称，2-32个字符")
    private String name;
    @ApiModelProperty(value = "所属团队")
    private Long teamId;
    @ApiModelProperty(value = "角色的权限是否不允许更改")
    private boolean locked;
    @ApiModelProperty(value = "是否系统角色，系统角色无法删除")
    private boolean system;
    @ApiModelProperty(value = "角色描述，2-128个字符")
    private String description;
    @ApiModelProperty(value = "角色类型：0，普通角色；1，系统角色；2，部门角色")
    private int roleType;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Long getTeamId() {
        return teamId;
    }

    public void setTeamId(Long teamId) {
        this.teamId = teamId;
    }

    public boolean isLocked() {
        return locked;
    }

    public void setLocked(boolean locked) {
        this.locked = locked;
    }

    public boolean isSystem() {
        return system;
    }

    public void setSystem(boolean system) {
        this.system = system;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public int getRoleType() {
        return roleType;
    }

    public void setRoleType(int roleType) {
        this.roleType = roleType;
    }
}
