package com.cloudbility.openapi.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

@ApiModel
public class ScriptRunVo {
    @ApiModelProperty("scriptRun的ID")
    private Long id;
    @ApiModelProperty("执行主机ID")
    private Long hostId;
    @ApiModelProperty("退出码，-999表示脚本未执行过或者还未执行完毕")
    private Integer exitCode;
    @ApiModelProperty("执行状态")
    private JobStatusVo status;
    @ApiModelProperty("主机开始执行脚本时间")
    private Date startTime;
    @ApiModelProperty("主机结束执行脚本时间")
    private Date completeTime;
    @ApiModelProperty("脚本的输出，按照输入先后排序")
    private List<ScriptOutputLineVo> outputLines = new ArrayList<>();
    @ApiModelProperty("当前获取到的输出的长度（按字节计算）")
    private Long outputSize;
    @ApiModelProperty("当前输出的总长度（按字节计算）")
    private Long outputLength;
    @ApiModelProperty("执行结果的简易描述")
    private String result;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getHostId() {
        return hostId;
    }

    public void setHostId(Long hostId) {
        this.hostId = hostId;
    }

    public Integer getExitCode() {
        return exitCode;
    }

    public void setExitCode(Integer exitCode) {
        this.exitCode = exitCode;
    }

    public JobStatusVo getStatus() {
        return status;
    }

    public void setStatus(JobStatusVo status) {
        this.status = status;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getCompleteTime() {
        return completeTime;
    }

    public void setCompleteTime(Date completeTime) {
        this.completeTime = completeTime;
    }

    public List<ScriptOutputLineVo> getOutputLines() {
        return outputLines;
    }

    public void setOutputLines(List<ScriptOutputLineVo> outputLines) {
        this.outputLines = outputLines;
    }

    public Long getOutputLength() {
        return outputLength;
    }

    public void setOutputLength(Long outputLength) {
        this.outputLength = outputLength;
    }

    public Long getOutputSize() {
        return outputSize;
    }

    public void setOutputSize(Long outputSize) {
        this.outputSize = outputSize;
    }

    public String getResult() {
        return result;
    }

    public void setResult(String result) {
        this.result = result;
    }
}
