package com.cloudbility.openapi.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

@ApiModel
public class SessionInfo {
    @ApiModelProperty(value = "团队ID")
    private Long teamId;
    @ApiModelProperty(value = "会话ID")
    private Long id;
    @ApiModelProperty(value = "序列号")
    private String serialNumber;
    @ApiModelProperty(value = "创建者ID")
    private Long creatorId;
    @ApiModelProperty(value = "名称")
    private String name;
    @ApiModelProperty(value = "开始时间")
    private Date startTime;
    @ApiModelProperty(value = "结束时间")
    private Date endTime;
    @ApiModelProperty(value = "会话协议类型")
    private DesktopType desktopType;
    @ApiModelProperty(value = "会话应用类型")
    private SessionAppType sessionAppType;

    @ApiModelProperty(value = "主机ID，当sessionAppType=HOST适用")
    private Long hostId;

    @ApiModelProperty(value = "宿主机属性，当sessionAppType=REMOTE_APP适用")
    private RemoteAppInfo appInfo;

    @ApiModelProperty(value = "数据库类型，当sessionAppType=DB适用")
    private DbType dbType;
    @ApiModelProperty(value = "数据库账户ID，当sessionAppType=DB适用")
    private Long dbAccountId;
    @ApiModelProperty(value = "数据库登陆用户，当sessionAppType=DB适用")
    private String dbUser;

    public Long getTeamId() {
        return teamId;
    }

    public void setTeamId(Long teamId) {
        this.teamId = teamId;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getSerialNumber() {
        return serialNumber;
    }

    public void setSerialNumber(String serialNumber) {
        this.serialNumber = serialNumber;
    }

    public Long getCreatorId() {
        return creatorId;
    }

    public void setCreatorId(Long creatorId) {
        this.creatorId = creatorId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public DesktopType getDesktopType() {
        return desktopType;
    }

    public void setDesktopType(DesktopType desktopType) {
        this.desktopType = desktopType;
    }


    public SessionAppType getSessionAppType() {
        return sessionAppType;
    }

    public void setSessionAppType(SessionAppType sessionAppType) {
        this.sessionAppType = sessionAppType;
    }

    public Long getHostId() {
        return hostId;
    }

    public void setHostId(Long hostId) {
        this.hostId = hostId;
    }

    public RemoteAppInfo getAppInfo() {
        return appInfo;
    }

    public void setAppInfo(RemoteAppInfo appInfo) {
        this.appInfo = appInfo;
    }

    public DbType getDbType() {
        return dbType;
    }

    public void setDbType(DbType dbType) {
        this.dbType = dbType;
    }

    public Long getDbAccountId() {
        return dbAccountId;
    }

    public void setDbAccountId(Long dbAccountId) {
        this.dbAccountId = dbAccountId;
    }


    public String getDbUser() {
        return dbUser;
    }

    public void setDbUser(String dbUser) {
        this.dbUser = dbUser;
    }
}
