package com.cloudbility.openapi.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel
public class UpdateUserVo {
    /**
     * 用户昵称，必须要
     */
    @ApiModelProperty(required = true, value = "用户昵称")
    private String name;
    /**
     * 用户自定义描述，用户签名，非必须
     */
    @ApiModelProperty(value = "用户签名")
    private String introduce;
    /**
     * 性别：0:未知；1,：男；2：女
     */
    @ApiModelProperty(required = true, value = "性别：0:未知；1,：男；2：女", allowableValues = "range[0,2]")
    private int gender = 0;

    /**
     * 地址，非必须
     */
    @ApiModelProperty(value = "地址")
    private String address;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getIntroduce() {
        return introduce;
    }

    public void setIntroduce(String introduce) {
        this.introduce = introduce;
    }

    public int getGender() {
        return gender;
    }

    public void setGender(int gender) {
        this.gender = gender;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

}
