package com.cloudbility.openapi.vo.healthCheck;

import com.cloudbility.openapi.vo.healthCheck.subItem.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;


@ApiModel
public class HealthCheckVo {

    @ApiModelProperty(value = "异常账户检查")
    private AbnormalAccountCheck abnormalAccountCheck;
    @ApiModelProperty(value = "异常登录检查")
    private AbnormalLoginCheck abnormalLoginCheck;
    @ApiModelProperty(value = "匿名访问服务检查")
    private AnonymousAccessCheck anonymousAccessCheck;
    @ApiModelProperty(value = "CPU负载检查")
    private CpuCheck cpuCheck;
    @ApiModelProperty(value = "关键软件包检查")
    private CriticalPackageCheck criticalPackageCheck;
    @ApiModelProperty(value = "磁盘IO负载检查")
    private DiskIOCheck diskIOCheck;
    @ApiModelProperty(value = "防火墙检查")
    private FirewallCheck firewallCheck;
    @ApiModelProperty(value = "公网出站负载检查")
    private InternetCheck internetCheck;
    @ApiModelProperty(value = "DDoS攻击检查")
    private InternetInTrafficCheck internetInTrafficCheck;
    @ApiModelProperty(value = "内网访问检查")
    private IntranetAccessCheck intranetAccessCheck;
    @ApiModelProperty(value = "内存负载检查")
    private MemoryCheck memoryCheck;
    @ApiModelProperty(value = "内存使用率趋势检查")
    private MemoryTrendCheck memoryTrendCheck;
    @ApiModelProperty(value = "磁盘分区使用率趋势检查")
    private PartitionCheck partitionCheck;
    @ApiModelProperty(value = "危险端口开放检查")
    private PortCheck portCheck;
    @ApiModelProperty(value = "SSH密码登录检查")
    private SSHAuthPasswordCheck sshAuthPasswordCheck;
    @ApiModelProperty(value = "系统时间检查")
    private TimestampCheck timestampCheck;
    @ApiModelProperty(value = "临时目录权限检查")
    private TmpDirExecutableCheck tmpDirExecutableCheck;
    @ApiModelProperty(value = "僵尸账号检查")
    private ZombieAccountCheck zombieAccountCheck;
    @ApiModelProperty(value = "幽灵账号检查")
    private GhostAccountCheck ghostAccountCheck;
    @ApiModelProperty(value = "幽灵密钥检查")
    private GhostKeyCheck ghostKeyCheck;
    @ApiModelProperty(value = "孤儿凭证检查")
    private OrphanCredentialsCheck orphanCredentialsCheck;
    @ApiModelProperty(value = "弱密码凭证检查")
    private WeakPasswordCredentialsCheck weakPasswordCredentialsCheck;
    @ApiModelProperty(value = "Web Server权限检查")
    private WebServerUserCheck webServerUserCheck;

    public SSHAuthPasswordCheck getSshAuthPasswordCheck() {
        return sshAuthPasswordCheck;
    }

    public void setSshAuthPasswordCheck(SSHAuthPasswordCheck sshAuthPasswordCheck) {
        this.sshAuthPasswordCheck = sshAuthPasswordCheck;
    }

    public TimestampCheck getTimestampCheck() {
        return timestampCheck;
    }

    public void setTimestampCheck(TimestampCheck timestampCheck) {
        this.timestampCheck = timestampCheck;
    }

    public TmpDirExecutableCheck getTmpDirExecutableCheck() {
        return tmpDirExecutableCheck;
    }

    public void setTmpDirExecutableCheck(TmpDirExecutableCheck tmpDirExecutableCheck) {
        this.tmpDirExecutableCheck = tmpDirExecutableCheck;
    }

    public WebServerUserCheck getWebServerUserCheck() {
        return webServerUserCheck;
    }

    public void setWebServerUserCheck(WebServerUserCheck webServerUserCheck) {
        this.webServerUserCheck = webServerUserCheck;
    }

    public MemoryCheck getMemoryCheck() {
        return memoryCheck;
    }

    public void setMemoryCheck(MemoryCheck memoryCheck) {
        this.memoryCheck = memoryCheck;
    }

    public MemoryTrendCheck getMemoryTrendCheck() {
        return memoryTrendCheck;
    }

    public void setMemoryTrendCheck(MemoryTrendCheck memoryTrendCheck) {
        this.memoryTrendCheck = memoryTrendCheck;
    }

    public PartitionCheck getPartitionCheck() {
        return partitionCheck;
    }

    public void setPartitionCheck(PartitionCheck partitionCheck) {
        this.partitionCheck = partitionCheck;
    }

    public PortCheck getPortCheck() {
        return portCheck;
    }

    public void setPortCheck(PortCheck portCheck) {
        this.portCheck = portCheck;
    }

    public AbnormalAccountCheck getAbnormalAccountCheck() {
        return abnormalAccountCheck;
    }

    public void setAbnormalAccountCheck(AbnormalAccountCheck abnormalAccountCheck) {
        this.abnormalAccountCheck = abnormalAccountCheck;
    }

    public AbnormalLoginCheck getAbnormalLoginCheck() {
        return abnormalLoginCheck;
    }

    public void setAbnormalLoginCheck(AbnormalLoginCheck abnormalLoginCheck) {
        this.abnormalLoginCheck = abnormalLoginCheck;
    }

    public AnonymousAccessCheck getAnonymousAccessCheck() {
        return anonymousAccessCheck;
    }

    public void setAnonymousAccessCheck(AnonymousAccessCheck anonymousAccessCheck) {
        this.anonymousAccessCheck = anonymousAccessCheck;
    }

    public CpuCheck getCpuCheck() {
        return cpuCheck;
    }

    public void setCpuCheck(CpuCheck cpuCheck) {
        this.cpuCheck = cpuCheck;
    }

    public CriticalPackageCheck getCriticalPackageCheck() {
        return criticalPackageCheck;
    }

    public void setCriticalPackageCheck(CriticalPackageCheck criticalPackageCheck) {
        this.criticalPackageCheck = criticalPackageCheck;
    }

    public DiskIOCheck getDiskIOCheck() {
        return diskIOCheck;
    }

    public void setDiskIOCheck(DiskIOCheck diskIOCheck) {
        this.diskIOCheck = diskIOCheck;
    }

    public FirewallCheck getFirewallCheck() {
        return firewallCheck;
    }

    public void setFirewallCheck(FirewallCheck firewallCheck) {
        this.firewallCheck = firewallCheck;
    }

    public InternetCheck getInternetCheck() {
        return internetCheck;
    }

    public void setInternetCheck(InternetCheck internetCheck) {
        this.internetCheck = internetCheck;
    }

    public InternetInTrafficCheck getInternetInTrafficCheck() {
        return internetInTrafficCheck;
    }

    public void setInternetInTrafficCheck(InternetInTrafficCheck internetInTrafficCheck) {
        this.internetInTrafficCheck = internetInTrafficCheck;
    }

    public IntranetAccessCheck getIntranetAccessCheck() {
        return intranetAccessCheck;
    }

    public void setIntranetAccessCheck(IntranetAccessCheck intranetAccessCheck) {
        this.intranetAccessCheck = intranetAccessCheck;
    }

    public ZombieAccountCheck getZombieAccountCheck() {
        return zombieAccountCheck;
    }

    public void setZombieAccountCheck(ZombieAccountCheck zombieAccountCheck) {
        this.zombieAccountCheck = zombieAccountCheck;
    }

    public GhostAccountCheck getGhostAccountCheck() {
        return ghostAccountCheck;
    }

    public void setGhostAccountCheck(GhostAccountCheck ghostAccountCheck) {
        this.ghostAccountCheck = ghostAccountCheck;
    }

    public GhostKeyCheck getGhostKeyCheck() {
        return ghostKeyCheck;
    }

    public void setGhostKeyCheck(GhostKeyCheck ghostKeyCheck) {
        this.ghostKeyCheck = ghostKeyCheck;
    }

    public OrphanCredentialsCheck getOrphanCredentialsCheck() {
        return orphanCredentialsCheck;
    }

    public void setOrphanCredentialsCheck(OrphanCredentialsCheck orphanCredentialsCheck) {
        this.orphanCredentialsCheck = orphanCredentialsCheck;
    }

    public WeakPasswordCredentialsCheck getWeakPasswordCredentialsCheck() {
        return weakPasswordCredentialsCheck;
    }

    public void setWeakPasswordCredentialsCheck(WeakPasswordCredentialsCheck weakPasswordCredentialsCheck) {
        this.weakPasswordCredentialsCheck = weakPasswordCredentialsCheck;
    }
}
