package com.cloudbility.openapi.vo.healthCheck.subItem;

import com.cloudbility.openapi.vo.healthCheck.HealthCheckItemType;
import com.cloudbility.openapi.vo.healthCheck.HealthResult;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

@ApiModel
public class ZombieAccountCheck {
    @ApiModelProperty("体检项")
    private HealthCheckItemType healthCheckItemType = HealthCheckItemType.ZombieAccount;
    @ApiModelProperty(value = "健康等级")
    private HealthResult level;
    @ApiModelProperty(value = "信息备注")
    private String comment;
    @ApiModelProperty(value = "是否有数据")
    private Boolean dataFound = false;
    @ApiModelProperty(value = "僵尸账号")
    private List<ZombieAccount> zombieAccountList;

    @ApiModel
    public static class ZombieAccount {
        @ApiModelProperty("账号")
        private String username;
        @ApiModelProperty("一个月内登录次数")
        private String loginFrequency;
        @ApiModelProperty("root账号")
        private String rootUser;

        public String getUsername() {
            return username;
        }

        public ZombieAccount setUsername(String username) {
            this.username = username;
            return this;
        }

        public String getLoginFrequency() {
            return loginFrequency;
        }

        public ZombieAccount setLoginFrequency(String loginFrequency) {
            this.loginFrequency = loginFrequency;
            return this;
        }

        public String getRootUser() {
            return rootUser;
        }

        public ZombieAccount setRootUser(String rootUser) {
            this.rootUser = rootUser;
            return this;
        }
    }

    public HealthCheckItemType getHealthCheckItemType() {
        return healthCheckItemType;
    }

    public ZombieAccountCheck setHealthCheckItemType(HealthCheckItemType healthCheckItemType) {
        this.healthCheckItemType = healthCheckItemType;
        return this;
    }

    public HealthResult getLevel() {
        return level;
    }

    public ZombieAccountCheck setLevel(HealthResult level) {
        this.level = level;
        return this;
    }

    public String getComment() {
        return comment;
    }

    public ZombieAccountCheck setComment(String comment) {
        this.comment = comment;
        return this;
    }

    public Boolean getDataFound() {
        return dataFound;
    }

    public ZombieAccountCheck setDataFound(Boolean dataFound) {
        this.dataFound = dataFound;
        return this;
    }

    public List<ZombieAccount> getZombieAccountList() {
        return zombieAccountList;
    }

    public ZombieAccountCheck setZombieAccountList(List<ZombieAccount> zombieAccountList) {
        this.zombieAccountList = zombieAccountList;
        return this;
    }



}
