package com.cloudbility.openapi.vo.log;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

@ApiModel
public class Actor {
    @ApiModelProperty("操作人用户ID")
    private Long id;
    @ApiModelProperty("操作人账号")
    private String name;
    @ApiModelProperty("操作人昵称")
    private String nickname;
    @ApiModelProperty("操作人团队昵称")
    private String teamNickname;//团队昵称
    @ApiModelProperty("操作人头像地址")
    private String avatar;
    @ApiModelProperty("操作人UID")
    public String uid;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
        this.uid = getUid();
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getNickname() {
        return nickname;
    }

    public void setNickname(String nickname) {
        this.nickname = nickname;
    }

    public String getTeamNickname() {
        return teamNickname;
    }

    public void setTeamNickname(String teamNickname) {
        this.teamNickname = teamNickname;
    }

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }


    public String getUid() {
        return uid;
    }

    public void setUid(String uid) {
        this.uid = uid;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        Actor actor = (Actor) o;
        return Objects.equals(id, actor.id) &&
                Objects.equals(name, actor.name) &&
                Objects.equals(nickname, actor.nickname) &&
                Objects.equals(teamNickname, actor.teamNickname) &&
                Objects.equals(avatar, actor.avatar);
    }

    @Override
    public int hashCode() {
        return Objects.hash(id, name, nickname, teamNickname, avatar);
    }
}
