package com.cloudbility.openapi.vo.monitor;

import com.cloudbility.openapi.vo.CloudProvider;
import io.swagger.annotations.ApiModel;

@ApiModel
public enum MonitorMetric {
    CpuUsage,//CPU使用率
    MemoryUsed,//内存使用率
    DiskUsed,//磁盘使用率
    InternetInRate,//公网入站速率
    InternetOutRate,//公网出站速率
    IntranetInRate,//内网入站速率
    IntranetOutRate,//内网出站速率
    ;

    public static MonitorMetric byName(String name) {
        for (MonitorMetric mm : values()) {
            if (mm.name().equalsIgnoreCase(name)) {
                return mm;
            }
        }
        return null;
    }

    public String getUnit(String cloudProvider) {
        if (CloudProvider.aliyun.name().equalsIgnoreCase(cloudProvider)) {
            switch (this) {
                case InternetInRate:
                case InternetOutRate:
                case IntranetInRate:
                case IntranetOutRate:
                    return "bit/s";
                default:
                    return "%";
            }
        } else if (CloudProvider.qcloud.name().equalsIgnoreCase(cloudProvider)) {
            switch (this) {
                case InternetInRate:
                case InternetOutRate:
                case IntranetInRate:
                case IntranetOutRate:
                    return "Mbps";
                default:
                    return "%";
            }
        } else if (CloudProvider.huaweicloud.name().equalsIgnoreCase(cloudProvider)) {
            switch (this) {
                case InternetInRate:
                case InternetOutRate:
                case IntranetInRate:
                case IntranetOutRate:
                    return "byte/s";
                default:
                    return "%";
            }
        } else if ("zstack".equalsIgnoreCase(cloudProvider)) {
            switch (this) {
                case InternetInRate:
                case InternetOutRate:
                case IntranetInRate:
                case IntranetOutRate:
                    return "byte/s";
                default:
                    return "%";
            }
        }
        return null;
    }

}
